package jp.ossc.petstore.model;

import jp.ossc.petstore.model.Product;
import jp.ossc.petstore.model.Order;

/**
 * 注文明細情報モデルクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class OrderDetail {

	/**
	 * 注文明細ＩＤ
	 */
    private int id;

    /**
     * 注文数
     */
    private int numbers;

    /**
     * 商品情報
     */
    private Product product;

    /**
     * 注文情報
     */
    private Order order;


    /**
     * コンストラクタ
     */
    public OrderDetail() {
    }

    /**
     * コンストラクタ
     * @param number 注文数
     * @param product 商品情報
     * @param order 注文情報
     */
    public OrderDetail(
    		int numbers,
    		Product product,
    		Order order) {
        this.numbers = numbers;
        this.product = product;
        this.order = order;
    }

    /**
     * 注文明細ＩＤ取得
     * @return 注文明細ＩＤ
     */
    public int getId() {
        return this.id;
    }

    /**
     * 注文明細ＩＤ設定
     * @param id 注文明細ＩＤ
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 注文数取得
     * @return 注文数
     */
    public int getNumbers() {
        return this.numbers;
    }

    /**
     * 注文数設定
     * @param number 注文数
     */
    public void setNumbers(int numbers) {
        this.numbers = numbers;
    }

    /**
     * 商品情報取得
     * @return 商品情報
     */
    public Product getProduct() {
        return this.product;
    }

    /**
     * 商品情報設定
     * @param product 商品情報
     */
    public void setProduct(Product product) {
        this.product = product;
    }

    /**
     * 注文情報取得
     * @return 注文情報
     */
    public Order getOrder() {
        return this.order;
    }

    /**
     * 注文情報設定
     * @param order 注文情報
     */
    public void setOrder(Order order) {
        this.order = order;
    }

}
